<?php 
session_start();
foreach($_GET as $campo => $valor){${$campo}=trim($valor);} 
foreach($_POST as $campo => $valor){${$campo}=trim($valor);} 

include_once('lib_main.php');
if(!empty($empr)){$link_data=msql_connect('','','',$empr); $cfg_empr=$empr;}
$user_codigo=$_SESSION['user_codigo'];
$user0=data_maes('user',$user_codigo);

$modu=strtolower($modu);     

echo '<div id="filtros">';
{
// OCULTOS
// echo '<input id="format" hide value="'.$format.'">';
// echo '<input id="limit" hide value="'.$limit.'">';
     
{$ztitulo='TOMA FISICA'; include('ele_title.php');}

     
$ztabla='item';
include('ele_datalist.php');
     
$ztabla='bode';
include('ele_datalist.php');
     
$zobj=1;     
include('ele_break.php');
         
$zid='fecha';
$ztype='date';
$zlabel='Fecha';
// $zvalue=date('Y-m-01');     
$zreado=1;     
include('ele_input.php');  
     
$zid='bode';
$zlabel='Bodega';
$zvalue=$bode;
$ztabla='bode';
include('ele_select.php');

     
$zobj=1;     
include('ele_break.php');
     
$zid='item';
$zlabel='Item';
$zvalue=$item;
$ztabla='item';
$zsize=1.5;     
include('ele_input.php');
     
$zobj=1;     
include('ele_break.php');
     
$zid='cant';
$zlabel='Cantidad';
$zclass='numeric-dec';     
$zmin=0;     
$zmax=9999999;     
$zvalue=1;
$zsize=1.5;     
include('ele_input.php');

     
$zobj=1;     
include('ele_break.php');
     
$zid='detalle';
$zlabel='Observ.';
$ztype='area';     
$zlen=30;     
// $zrows=2;     
include('ele_input.php');
     

$zid='btn_acepta'; 
$zlabel='Aceptar';
$zalign='right';
$zonclick='{info_modu(event);}';
include('ele_button.php');




{    

$zobj=1;     
include('ele_break.php');

$ztitulo=$xtitulo;     
include('ele_title.php');
     
{



// $zid='orden'; $zvalue=$orden;
// $zlabel='Ordenar X';
// $zoptions='Código;Nombre (A-Z);';
// $zonchange='{info_modu(event);}';
// $zalign='right';
// include('ele_select.php');

}//filtros     
echo '</div>';
     
     
     
}
     
     
include('ele_break.php');

echo '<div id="main2">';     
{     
// if($modu=='inve'){include ('info_inve3.php');}
     
     
}
echo '</div>';     
     
     
}


?>


<script>
function info_modu(event)
{
     {
//           get_para();
          var xhref='',dataget;
          xhref=xhref+'?scri=info_modu3';
          dataget=new_FormData('filtros','get');
          xhref=xhref+dataget;
          
          document.getElementById("main2").innerHTML='Espere...';
          location.href=xhref;          
     }
}
</script>

<script>
function proc_carr(event)
{
     
     var msgswal='';
     msgswal=msgswal;

     var color1=document.getElementById('color1').innerHTML;
     var color2=document.getElementById('color2').innerHTML;
          
//        text: "Esta operación NO es reversible",
     Swal.fire({
       title: 'Procesar Carrito ?',
       icon: 'warning',
       focusCancel: true,
       showCancelButton: true,
       confirmButtonColor: color1,
       cancelButtonColor: 'darkred',
       confirmButtonText: 'SI, Procesar'
     }).then((result) =>
     {
          if (result.isConfirmed) {
          document.getElementById("main2").innerHTML='Espere...';
               
          var xhref='',dataget;
          xhref=xhref+'?scri=proc_carr1';
          dataget=new_FormData('filtros','get');
          xhref=xhref+dataget;
          dataget=new_FormData('cliedatos','get');
          xhref=xhref+dataget;
          
          document.getElementById("main2").innerHTML='Espere...';
          document.getElementById("main1").innerHTML='Espere...';
          location.href=xhref;          
               
//           var data=new FormData();
//           data.append('script','dele_carr');
//           exe_ajax(data);
// //           Swal.fire('Vacíado!','El carrito ha sido vaciado.','success')
//           location.reload();              
          }
     })
     
     
     
     {
     }
}
</script>


<script>
function dele_carr()
{
     var msgswal='';
     msgswal=msgswal;

     var color1=document.getElementById('color1').innerHTML;
     var color2=document.getElementById('color2').innerHTML;
          
     Swal.fire({
       title: 'Vaciar el Carrito ?',
       text: "Esta operación NO es reversible",
       icon: 'warning',
       focusCancel: true,
       showCancelButton: true,
       confirmButtonColor: color1,
       cancelButtonColor: 'darkred',
       confirmButtonText: 'SI, Vacíalo!'
     }).then((result) =>
     {
          if (result.isConfirmed) {
          document.getElementById("main2").innerHTML='';               
          var data=new FormData();
          data.append('script','dele_carr');
          exe_ajax(data);
//           Swal.fire('Vacíado!','El carrito ha sido vaciado.','success')
          location.reload();              
          }
     })
}
</script>


<script>
function save_carr(item,cant)
{
     var data=new FormData();
     data.append('script','save_carr');
     data.append('item',item);
     data.append('cant',cant);
     exe_ajax(data);
}
</script>

<script>document.title="<?php echo $xtitulo;?>"</script>
